fault
action Network

# Run Simple Web Demo Server

Run fault demo server to explore Reliably's features

Run it now
View details

Type | action
Module | chaosfault.actions
Name | run_demo
Return | list

Usage

JSON

    {
      "name": "run-demo",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosfault.actions",
        "func": "run_demo",
        "arguments": {
          "duration": 45
        }
      }
    }

YAML

    name: run-demo
    type: action
    provider:
      type: python
      module: chaosfault.actions
      func: run_demo
      arguments:
        duration: 45

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
duration | float | 0 | No | Duration | Sets the window in seconds during which the proxy runs. The default of 0 means the proxy does not stop on its own

Run the fault proxy with the appropriate network faults.

Signature

    def run_demo(
        duration: float | None = None,
    ) -> Tuple[int, str, str]:
      pass

## Related starters

- fault
  action Network

  ## `Stop Network Proxy`

  Stop the fault proxy.
- Kubernetes
  action Network

  ## `deny_all_egress`

  Deny all egress from pods
- fault
  action Network

  ## `Stop Network Proxy`

  Stop the fault proxy.